﻿package com.example.qghsdksample.qghapi;

import org.json.JSONException;
import org.json.JSONObject;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;

import com.example.qghsdksample.MainActivity;
import com.example.qghsdksample.R;
import com.tencent.qqgame.sdk.model.BaseResponse;
import com.tencent.qqgame.sdk.model.LoginTicketResponse;
import com.tencent.qqgame.sdk.model.PayResponse;
import com.tencent.qqgame.sdk.openapi.IQghAPI;
import com.tencent.qqgame.sdk.openapi.IQghAPIEventHandler;
import com.tencent.qqgame.sdk.openapi.QghAPIFactory;

/**
 * AndroidManifest 中 必须声明 android:name="包名.qghapi.QghEntryActivity" 的Activity,
 * 并添加 android.intent.action.VIEW 的intent-filter
 *
 * 创建一个 QghAPI , 调用 handleIntent， 则会回调 onResponse 得到请求结果
 */
public class QghEntryActivity extends Activity implements IQghAPIEventHandler{
    private IQghAPI mQghAPI;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_qgh_entry);

        /**
         * 处理QQ大厅返回的结果
         */
        mQghAPI = QghAPIFactory.createQghAPI(this, MainActivity.APP_ID);
        mQghAPI.handleIntent(getIntent(), this);
    }


    
    @Override
    public void onResponse(BaseResponse baseResponse) {

        Bundle bundle = new Bundle();
        baseResponse.serialize(bundle);

        String response = bundle.toString();
        ((TextView) findViewById(R.id.tv_response)).setText(response);
        System.out.println("====="+baseResponse.getClass());
        if (baseResponse instanceof LoginTicketResponse) {
            LoginTicketResponse loginTicketResponse = (LoginTicketResponse)baseResponse;
            try {
            	System.out.println("========resultMsg:"+loginTicketResponse.loginResult);
				JSONObject tempJect = new JSONObject(loginTicketResponse.loginResult);
				MainActivity.gameOpenid   = tempJect.getString("openid");
				MainActivity.gameOpenkey   = tempJect.getString("openkey");
				MainActivity.gamepf   = tempJect.getString("pf");
				MainActivity.gamepfkey   = tempJect.getString("pfkey");
			} catch (JSONException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
        } else if (baseResponse instanceof PayResponse) {
            PayResponse payResponse = (PayResponse) baseResponse;
            System.out.println(payResponse.resultCode+"=============="+payResponse.resultMsg);

        }
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();

        mQghAPI.detach();
    }
}
